Subject: Re: bug#66068: 30.0.50; xwidget-webkit-browse-url makes Emacs abort

From: Stephen Berman <[email-masked]>
Date: Mon, 18 Sep 2023 14:16:03 +0200

On Mon, 18 Sep 2023 19:16:40 +0800 Po Lu <[email-masked]> wrote:

> Stephen Berman <[email-masked]> writes:
>
>> I just built Emacs --with-xwidgets on a new system (glibc-2.38,
>> gcc-13.2.0, linux-6.5.2) on which I've installed webkitgtk-2.41.92 for
>> both Gtk3 and Gtk4 (libwebkit2gtk-4.1.so and libwebkitgtk-6.0.so).  When
>> I invoke `M-x xwidget-webkit-browse-url', enter a URL at the prompt and
>> press RET, Emacs aborts.  I ran under gdb and have attached a full
>> backtrace.
>>
>> In GNU Emacs 30.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version
>>  3.24.38, cairo version 1.17.6) of 2023-09-18 built on strobelfs2
>> Repository revision: b331bf6d8a21ef3ac7e70d3f4a937e4256178d55
>> Repository branch: master
>> Windowing system distributor 'The X.Org Foundation', version 11.0.12101008
>> System Description: Linux From Scratch r12.0-19
>>
>> Configured using:
>>  'configure -C --with-xwidgets 'CFLAGS=-Og -g3'
>>  PKG_CONFIG_PATH=/opt/qt5/lib/pkgconfig'
>>
>> Configured features:
>> ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM GSETTINGS HARFBUZZ JPEG
>> JSON LCMS2 LIBSYSTEMD LIBXML2 MODULES NOTIFY INOTIFY PDUMPER PNG RSVG
>> SECCOMP SOUND SQLITE3 THREADS TIFF TOOLKIT_SCROLL_BARS WEBP X11 XDBE XIM
>> XINPUT2 XPM XWIDGETS GTK3 ZLIB
>>
>> Important settings:
>>   value of $LANG: en_US.UTF-8
>>   locale-coding-system: utf-8-unix
>
> Thanks for the report.  The X error itself is absent from the backtrace
> you have provided, so please step to the frame incorporating
> x_error_quitter, then type:
>
>   (gdb) p *error

Is the following what you want?  It doesn't seem very informative...

(gdb) up 0
#0  x_error_quitter (display=0x555555ead980, event=0x7fffffffc950)
    at /home/steve/src/emacs/emacs-master/src/xterm.c:26905
26905	{
(gdb) p *error
$1 = {void (const char *, ...)} 0x55555575ae68 <error>

FWIW, I get the same output when I run Emacs in gdb with -xrm
"emacs.synchronous: true", as requested by Eli.

> In case the error arises from an extension request, please also send the
> output of the following command:
>
>   $ xdpyinfo -ext

How do I know if there was an extension request?  The -ext flag requires
an extension-name as argument.

Steve Berman